int battery_level() // Reads battery voltage and returns % capacity
{
  int c = map(analogRead(battery_sens), 438, 520, 0, 100); // % battery assuming potential divider of R1 - 8.2k and R2 - 2k
                                                       // 12.8V = 100% & 10.8V = 0%
  return constrain(c, 0, 100); // Prevent returning outside of 0-100%
}

char battery_status()
{
  #define hilo 40 // hi to low threshold
  #define lodd 15 // low to dead threshold
  #define bs_hist 5 // histerisis amount
  
  
  static char battery = 'D'; // previous battery status - presumed dead on first power
  int c = battery_level();
  
  switch (battery)
  {
    case 'H':
      if (c <= hilo) battery = 'L';
      break;
    case 'L':
      if (c >= (hilo + bs_hist)) battery = 'H';
      if (c <= lodd) battery = 'D';
      break;
    case 'D':
      if (c >= (lodd + bs_hist)) battery = 'L';
      break;
  }
  
  return battery;
}
